%define upstream_name    Metabase-Fact
%define upstream_version 0.021

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Class for Metabase resources
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Metabase/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::DistnameInfo)
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::GUID)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.200.0
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(JSON) >= 2.0.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
the Metabase manpage is a framework for associating content and metadata
with arbitrary resources. A Metabase can be used to store test reports,
reviews, coverage analysis reports, reports on static analysis of coding
style, or anything else for which datatypes are constructed.

Metabase::Fact is a base class for Facts (really opinions or analyses) that
can be sent to or retrieved from a Metabase repository.

Structure of a Fact object
    A Fact object associates a 'content' attribute with a 'resource'
    attribute and a 'creator' attribute.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/metabase-profile
/usr/share/man/man1/metabase-profile.1.xz

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.21.0-2.mga3
+ Revision: 369712
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.21.0-1.mga3
+ Revision: 255128
- update to 0.021

* Mon Dec 19 2011 shlomif <shlomif> 0.20.0-1.mga2
+ Revision: 184310
- imported package perl-Metabase-Fact

